<!-- ============================================================== -->
<!-- Validacion de los formularios  -->
<!-- ============================================================== -->
<script>
    var t = jQuery.noConflict();
    t(document).ready(function () {
        // validate signup form on keyup and submit
        t("#formulario").validate({
            rules: {
                nombres: {
                    required: true,
                    minlength: 4
                },
                apellidos: {
                    required: true,
                    minlength: 4
                },
                fono: {
                    required: true,
                    minlength: 10,
                    maxlength: 10
                },
                clave: {
                    required: true,
                    minlength: 4
                }
            },
            messages: {
                nombres: {
                    required: "Ingrese su nombre",
                    minlength: "Minimo 4 caractares"
                },
                apellidos: {
                    required: "Ingrese su apellido",
                    minlength: "Minimo 4 caractares"
                },
                fono: {
                    required: "Ingrese su cédula",
                    minlength: "Son 10 caractares",
                    maxlength: "Son 10 caractares"
                },
                clave: {
                    required: "Ingrese su clave",
                    minlength: "Minimo 4 caracteres"
                }
            }
        });
    });
</script>
<!-- ============================================================== -->
<!-- formulario con los datos a guardar -->
<!-- ============================================================== -->
<form id="formulario" action="/registrar" method="POST">
    <span class="login100-form-title p-b-53">
        {{titulo}}
    </span>

    <div class="p-b-1"><span class="txt1">Cédula</span></div>
    <div id="mensaje"></div>
    <!--mensajes de operciones realizadas-->
    {{#if error}}
    <div class="alert alert-danger">{{error}}</div>
    {{/if}}
    <!--fin de mensajes de operciones realizadas-->
    <div class="wrap-input100">
        <input class="input100" type="text" name="cedula" onblur=" valide()" id="cedula">
        <span class="focus-input100"></span>
    </div>

    <div class="p-t-9 p-b-1"><span class="txt1">Nombres</span></div>
    <div class="wrap-input100 " data-validate = "Escriba su nombre">
        <input class="input100" type="text" name="nombres"  id="nombres">
        <span class="focus-input100"></span>
    </div>

    <div class="p-t-9 p-b-1"><span class="txt1">Apellidos</span></div>

    <div class="wrap-input100" data-validate = "Escriba su apellido">
        <input class="input100" type="text" name="apellidos" id="apellidos">
        <span class="focus-input100"></span>
    </div>



    <div class="p-t-9 p-b-1"><span class="txt1">Telefono/Celular</span></div>

    <div class="wrap-input100" data-validate = "Escriba su celular">
        <input class="input100" type="text" name="fono" id="fono">
        <span class="focus-input100"></span>
    </div>

    <div class="p-t-9 p-b-1"><span class="txt1">Email</span></div>

    <div class="wrap-input100 " >
        <input class="input100" type="email" name="correo"  id="correo" placeholder="Opcional">
        <span class="focus-input100"></span>
    </div>

    <div class="p-t-9 p-b-1"><span class="txt1">Dirección</span></div>

    <div class="wrap-input100 " >
        <input class="input100" type="text" name="direccion" id="direccion">
        <span class="focus-input100"></span>
    </div>

    <div class="p-t-9 p-b-1"><span class="txt1">Contraseña</span></div>

    <div class="wrap-input100" data-validate = "Escriba una contraseña">
        <input class="input100" type="password" name="clave" id="clave">
        <span class="focus-input100"></span>
    </div>

    <div class="container-login100-form-btn m-t-17">
        <button type="submit" class="login100-form-btn" id="registrar">Registrar</button>
    </div>
</form>
<!-- ============================================================== -->
<!-- fin de formulario con los datos a guardar -->
<!-- ============================================================== -->
<div class="w-full text-center p-t-55">
    <span class="txt2">
        Regresa para
    </span>

    <a href="/iniciar_sesion" class="txt2 bo1">
        Iniciar Sesion
    </a>
</div>
<script>
    var mensaje = '';
    function valide() {
        if (valideCedula() === false) {
            t("#registrar").hide();
            t('#mensaje').show();
            verErrores(mensaje);
        } else {
            t("#registrar").show();
            t('#mensaje').hide();
        }
    }
    //metodo de validacion de la cedula ecuatoriana
    function valideCedula() {
        var cedula = t('#cedula').val();
        var validar = false;
        //Preguntamos si la cedula consta de 10 digitos
        if (cedula.length === 10) {

            //Obtenemos el digito de la region que sonlos dos primeros digitos
            var digito_region = cedula.substring(0, 2);

            //Pregunto si la region existe ecuador se divide en 24 regiones
            if (digito_region >= 1 && digito_region <= 24) {

                // Extraigo el ultimo digito
                var ultimo_digito = cedula.substring(9, 10);

                //Agrupo todos los pares y los sumo
                var pares = parseInt(cedula.substring(1, 2)) + parseInt(cedula.substring(3, 4)) + parseInt(cedula.substring(5, 6)) + parseInt(cedula.substring(7, 8));

                //Agrupo los impares, los multiplico por un factor de 2, si la resultante es > que 9 le restamos el 9 a la resultante
                var numero1 = cedula.substring(0, 1);
                var numero1 = (numero1 * 2);
                if (numero1 > 9) {
                    var numero1 = (numero1 - 9);
                }

                var numero3 = cedula.substring(2, 3);
                var numero3 = (numero3 * 2);
                if (numero3 > 9) {
                    var numero3 = (numero3 - 9);
                }

                var numero5 = cedula.substring(4, 5);
                var numero5 = (numero5 * 2);
                if (numero5 > 9) {
                    var numero5 = (numero5 - 9);
                }

                var numero7 = cedula.substring(6, 7);
                var numero7 = (numero7 * 2);
                if (numero7 > 9) {
                    var numero7 = (numero7 - 9);
                }

                var numero9 = cedula.substring(8, 9);
                var numero9 = (numero9 * 2);
                if (numero9 > 9) {
                    var numero9 = (numero9 - 9);
                }

                var impares = numero1 + numero3 + numero5 + numero7 + numero9;

                //Suma total
                var suma_total = (pares + impares);

                //extraemos el primero digito
                var primer_digito_suma = String(suma_total).substring(0, 1);

                //Obtenemos la decena inmediata
                var decena = (parseInt(primer_digito_suma) + 1) * 10;

                //Obtenemos la resta de la decena inmediata - la suma_total esto nos da el digito validador
                var digito_validador = decena - suma_total;

                //Si el digito validador es = a 10 toma el valor de 0
                if (digito_validador == 10)
                    var digito_validador = 0;

                //Validamos que el digito validador sea igual al de la cedula
                if (digito_validador == ultimo_digito) {
                    mensaje = 'La cedula:' + cedula + ' es correcta';
                    validar = true;
                } else {
                    mensaje = 'La cedula: ' + cedula + ' es incorrecta';
                }

            } else {
                // imprimimos en consola si la region no pertenece
                mensaje = 'Esta cedula no pertenece a ninguna region';
            }
        } else {
            //imprimimos en consola si la cedula tiene mas o menos de 10 digitos
            mensaje = 'Esta cedula no tiene 10 Digitos';
        }
        return validar;
    }
    function verErrores(msg) {
        var error = '<div class="alert alert-danger alert-dismissible fade show" role="alert">';
        error += '<span>' + msg + '</span>';
        error += '</div>';
        t("#mensaje").html(error);
    }

</script>
<style>

    #formulario label.error {
        color: red;
    }
</style>